/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import java.util.Objects;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;
import org.threeten.bp.LocalDate;

/**
 * CloseElectricDeclarationRequest
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class CloseElectricDeclarationRequest {
  @SerializedName("closure_date")
  private LocalDate closureDate = null;

  @SerializedName("reason_description")
  private String reasonDescription = null;

  public CloseElectricDeclarationRequest closureDate(LocalDate closureDate) {
    this.closureDate = closureDate;
    return this;
  }

   /**
   * Date when the declaration is closed - ISO 8601 format (YYYY-MM-DD)
   * @return closureDate
  **/
  @ApiModelProperty(example = "2017-01-17T00:00:00Z", required = true, value = "Date when the declaration is closed - ISO 8601 format (YYYY-MM-DD)")
  public LocalDate getClosureDate() {
    return closureDate;
  }

  public void setClosureDate(LocalDate closureDate) {
    this.closureDate = closureDate;
  }

  public CloseElectricDeclarationRequest reasonDescription(String reasonDescription) {
    this.reasonDescription = reasonDescription;
    return this;
  }

   /**
   * Description of the reason why the declaration has to be closed
   * @return reasonDescription
  **/
  @ApiModelProperty(value = "Description of the reason why the declaration has to be closed")
  public String getReasonDescription() {
    return reasonDescription;
  }

  public void setReasonDescription(String reasonDescription) {
    this.reasonDescription = reasonDescription;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CloseElectricDeclarationRequest closeElectricDeclarationRequest = (CloseElectricDeclarationRequest) o;
    return Objects.equals(this.closureDate, closeElectricDeclarationRequest.closureDate) &&
        Objects.equals(this.reasonDescription, closeElectricDeclarationRequest.reasonDescription);
  }

  @Override
  public int hashCode() {
    return Objects.hash(closureDate, reasonDescription);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CloseElectricDeclarationRequest {\n");
    
    sb.append("    closureDate: ").append(toIndentedString(closureDate)).append("\n");
    sb.append("    reasonDescription: ").append(toIndentedString(reasonDescription)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

